# Rust & 7 Days to Die

### Plugin Installation

1. Add a **Rust** or **7 Days To Die** server in [MY SERVERS](https://tip4serv.com/dashboard/my-servers)
2. Upload `tip4serv.cs` to your server's `oxide/plugins/` directory
3. Run this command on your server console:

   ```
   oxide.reload Tip4serv
   ```
4. Edit the config file `tip4serv.json` and set your Tip4Serv API key
5. Reload the plugin again:

   ```
   oxide.reload Tip4serv
   ```

✅ **Expected console message:**\
`Server has been successfully connected`

***

### RCON Setup (Rust only)

1. Add a **Rust** server in [MY SERVERS](https://tip4serv.com/dashboard/my-servers)
2. Click **Connect with RCON**
3. Fill in:
   * Server IP
   * RCON Port
   * RCON Password

✅ **Expected console message:**\
`Server has been successfully connected`

***

### Setting Up Commands

Before adding commands to your products, remember:\
**Commands are executed in the server console, not in-game.**

> Add your commands directly into each product as in [this tutorial](/store-setup/server-commands.md).

***

### 💬 Broadcast Donation Message

```bash
say Thank you {rust_username} for your donation of {total_paid} {currency}
```

**With colors:**

```bash
say {rust_username} just purchased <color=red>VIP</color> from <color=orange>tip4serv.com</color>
```

***

### 👥 Group and Permissions

#### Add player to a group:

```bash
oxide.usergroup add {steam_id} group-name
```

#### Remove player from a group:

```bash
oxide.usergroup remove {steam_id} group-name
```

#### Grant a permission:

```bash
oxide.grant user {steam_id} permission-name
```

#### Revoke a permission:

```bash
oxide.revoke user {steam_id} permission-name
```

***

### 🎒 Give Inventory Item (Rust only)

#### By Steam ID

✅ Must enable **“Player must be online”** in the commands editor settings.

```bash
inventory.giveto {steam_id} item-short-name quantity
```

**Example:**

```bash
inventory.giveto {steam_id} scientist 5
```

🔗 [Rust item list](https://www.corrosionhour.com/rust-item-list/)

***

#### By Username

✅ Must enable **“Player must be online”**

```bash
inventory.giveto {rust_username} item-short-name quantity
```

***

### 🎁 Give Items/Kits with *Give* Plugin

Required plugin: [Give (uMod)](https://umod.org/plugins/give)

#### Give item:

```bash
giveto {steam_id} item-short-name quantity
```

#### Give kit:

```bash
givekitto {steam_id} kit-name
```

***

### 💸 Give Money

Required plugin: [Economics](https://umod.org/plugins/economics)

```bash
deposit {steam_id} amount
```

***

### 🏆 Give Points (Rust only)

Required plugin: [Server Rewards](https://umod.org/plugins/server-rewards)

```bash
sr add {rust_username} amount
```

***

### ➗ Quantity Multiplier

Let customers choose quantities and calculate totals dynamically.

Activate **“Allow quantity choice”** in product settings.

**Example for selling $200 bundles:**

```bash
deposit {steam_id} {quantity*200}
```

If customer buys 4x, the result is:

```bash
deposit 76561198181797231 800
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tip4serv.com/rust-and-7-days-to-die.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
